<template>
    <v-app>
        <application-bar v-on:isLoading="isLoadingStatus"></application-bar>
        <loading-dialog v-bind:isLoading="isLoading"></loading-dialog>
        <v-content>
            <router-view v-on:isLoading="isLoadingStatus"></router-view>
        </v-content>
        <application-footer></application-footer>
    </v-app>
</template>

<script>
    import ApplicationBar from "./components/ApplicationBar";
    import ApplicationFooter from "./components/ApplicationFooter";
    import LoadingDialog from "./components/LoadingDialog";

    export default {
        name: "App",
        components: {ApplicationBar, ApplicationFooter, LoadingDialog},
        data() {
            return {
                isLoading: false
            }
        },
        methods: {
            isLoadingStatus() {
                this.isLoading = !this.isLoading
            }
        }
    }
</script>

<style lang="scss">
    #app {
        font-family: Avenir, Helvetica, Arial, sans-serif;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-align: center;
        color: #2c3e50;
    }

    #nav {
        padding: 30px;

        a {
            font-weight: bold;
            color: #2c3e50;

            &.router-link-exact-active {
                color: #42b983;
            }
        }
    }

    a {
        text-decoration: none;
    }
</style>
